package com.ssm.manage.dao;

import com.ssm.manage.extendEntity.MemberStatistic;
import com.ssm.manage.extendEntity.ProjectLists;
import com.ssm.manage.extendEntity.ProjectStatistic;
import com.ssm.manage.query.AccountTradeRecordRequest;
import com.ssm.manage.query.CourseAccountRequest;
import com.ssm.manage.query.ProjectListsRequest;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

public interface SsmStoreStatisticDao {
    List<MemberStatistic> selectMemberList(AccountTradeRecordRequest accountTradeRecordRequest);

    List<ProjectStatistic> selectProjectList(AccountTradeRecordRequest accountTradeRecordRequest);
    List<ProjectStatistic> selectProjectLists(AccountTradeRecordRequest accountTradeRecordRequest);
    //按月份统计项目购买金额和次数
    List<ProjectLists> selectProjectLists1(ProjectListsRequest projectListsRequest);
    //按门店统计项目结存金额和次数
    List<ProjectLists> selectProjectLists2(Long storeId,String allowValidt);
    //按月份和门店统计项目服务金额和次数
    List<ProjectLists> selectProjectLists3(ProjectListsRequest projectListsRequest);

}
